﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;


using TImport = System.String;

namespace TxtFileContentPipelineExtension
{
    [ContentImporter(".X", DisplayName = "X Importer", DefaultProcessor = "XProcessor")]
    public class TxtFileContentImporter : ContentImporter<TImport>
    {
        public override TImport Import(string filename, ContentImporterContext context)
        {
            string data = System.IO.File.ReadAllText(filename, System.Text.Encoding.ASCII);
            return data;
        }
    }
}
